import { defineConfig } from 'vite';
import react from '@vitejs/plugin-react';

export default defineConfig({
  plugins: [react()],
  build: {
    lib: {
      entry: 'src/index.jsx', // Entry file for your package
      name: 'ViteGist',
      fileName: (format) => `vite-gist.${format}.js`,
    },
    rollupOptions: {
      external: ['react', 'react-dom'], // Exclude these dependencies from the bundle
      output: {
        globals: {
          react: 'React',
          'react-dom': 'ReactDOM',
        },
      },
    },
  },
});
